#ifndef XCOLLISIONBORDER_H
#define XCOLLISIONBORDER_H

#include "xasset.h"

#include <QVector3D>

class XCollisionBorder : public XAsset
{
public:
    explicit XCollisionBorder();
    ~XCollisionBorder();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    QVector<float> mDistEq;
    float mZBase;
    float mZSlope;
    float mStart;
    float mLength;
};

#endif // XCOLLISIONBORDER_H
